<div *ngIf="hero">
  <h2>{{hero.name | uppercase}} Details</h2>
  <div>id: {{hero.id}}</div>
  <div>
    <label for="hero-name">Hero name: </label>
    <!--     2 ways binding-->
    <input id="hero-name" [(ngModel)]="hero.name" placeholder="name">
  </div>
  <button type="button" (click)="goBack()">Go Back</button>
  <button type="button" (click)="updateHero()">Save</button>

</div>
